function [ y ] = FIR_direct( b, x )
%FIR_DIRECT Function that implements direct realizaton of FIR filter
    delay_line = zeros(length(b),1);
    
    for k = 1:length(x)
        delay_line = [x(k); delay_line(1:end-1)];
        y(k) = b*delay_line;
    end
end

